%define pkg_name        HTML-Widget-JavaScript
%define pkg_version     0.01
%define rpm_pkg_version 0.01
%define rpm_pkg_release 2.n0i.2

Summary:       JavaScript validation for HTML::Widget
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/authors/id/N/NI/NILSONSFJ/%{pkg_name}-%{pkg_version}.tar.gz

BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: reb00t-rpmdevtools
BuildRequires: perl(ExtUtils::MakeMaker)
%{!?_without_test:BuildRequires: perl(HTML::Widget)}

Requires: perl(HTML::Widget)


%description
This module adds JavaScript field validation for HTML::Widget objects.


%prep
%setup -q -n %{pkg_name}-%{pkg_version}
%{fix_mod}
%{fix_eol}

# tests will fail in taint mode
%{__perl} -pi -e 's{^#!perl -T}{}m' t/00-load.t


%build
%{perl_build}
%{!?_without_test:%{__make} test}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files}
%doc Changes README


%changelog
* Tue May 22 2007 Marius Feraru <altblue@n0i.net> - 0.01-2.n0i.2
- spec file (re)created using N0i::CPAN::RPMizer v1.14.7

* Sun Apr 09 2006 Marius Feraru <altblue@n0i.net> 0.01-1.n0i.1
- spec file (re)created using N0i::CPAN::RPMizer v1.12.0
- rebuild on perl 5.8.8
